<?php
/**
 * Block Information & Attributes File.
 *
 * @since 2.0.0
 *
 * @package uagb
 */

$btn_border_attribute     = UAGB_Block_Helper::uag_generate_border_attribute( 'btn' );
$overall_border_attribute = UAGB_Block_Helper::uag_generate_border_attribute( 'overall' );
$inherit_from_theme       = 'enabled' === ( 'deleted' !== UAGB_Admin_Helper::get_admin_settings_option( 'uag_btn_inherit_from_theme_fallback', 'deleted' ) ? 'disabled' : UAGB_Admin_Helper::get_admin_settings_option( 'uag_btn_inherit_from_theme', 'disabled' ) );
return array_merge(
	array(
		'blockName'                   => 'post-grid',
		'postsToShow'                 => 6,
		'postsOffset'                 => 0,
		'buttonType'                  => 'primary',
		'post_type'                   => 'grid',
		'align'                       => 'left',
		'rowGap'                      => '20',
		'rowGapTablet'                => '',
		'rowGapMobile'                => '',
		'columnGap'                   => '20',
		'columnGapTablet'             => '',
		'columnGapMobile'             => '',
		'bgColor'                     => '#f6f6f6',
		'titleColor'                  => '',
		'titleTag'                    => 'h4',
		'titleFontSize'               => '',
		'titleFontSizeType'           => 'px',
		'titleFontSizeMobile'         => '',
		'titleFontSizeTablet'         => '',
		'titleFontFamily'             => '',
		'titleFontWeight'             => '',
		'titleFontStyle'              => '',
		'titleLineHeightType'         => 'em',
		'titleLineHeight'             => '',
		'titleLineHeightTablet'       => '',
		'titleLineHeightMobile'       => '',
		'titleLoadGoogleFonts'        => false,
		'metaFontSize'                => '',
		'metaFontSizeType'            => 'px',
		'metaFontSizeMobile'          => '',
		'metaFontSizeTablet'          => '',
		'metaFontFamily'              => '',
		'metaFontWeight'              => '',
		'metaFontStyle'               => '',
		'metaLineHeightType'          => 'em',
		'metaLineHeight'              => '',
		'metaLineHeightTablet'        => '',
		'metaLineHeightMobile'        => '',
		'metaLoadGoogleFonts'         => false,
		'excerptFontSize'             => '',
		'excerptFontSizeType'         => 'px',
		'excerptFontSizeMobile'       => '',
		'excerptFontSizeTablet'       => '',
		'excerptFontFamily'           => '',
		'excerptFontWeight'           => '',
		'excerptFontStyle'            => '',
		'excerptLineHeightType'       => 'em',
		'excerptLineHeight'           => '',
		'excerptLineHeightTablet'     => '',
		'excerptLineHeightMobile'     => '',
		'excerptLoadGoogleFonts'      => false,
		'ctaFontSize'                 => '',
		'ctaFontSizeType'             => 'px',
		'ctaFontSizeTablet'           => '',
		'ctaFontSizeMobile'           => '',
		'ctaFontFamily'               => '',
		'ctaFontWeight'               => '',
		'ctaFontStyle'                => '',
		'ctaLineHeightType'           => 'em',
		'ctaLineHeight'               => '',
		'ctaLineHeightTablet'         => '',
		'ctaLineHeightMobile'         => '',
		'ctaLoadGoogleFonts'          => false,
		'metaColor'                   => '',
		'highlightedTextColor'        => '#fff',
		'highlightedTextBgColor'      => '#3182ce',
		'excerptColor'                => '',
		'ctaColor'                    => '',
		'ctaBgType'                   => 'color',
		'ctaBgHType'                  => 'color',
		'ctaBgColor'                  => '',
		'ctaHColor'                   => '',
		'ctaBgHColor'                 => '',
		'contentPadding'              => '20',
		'contentPaddingMobile'        => '',
		'btnVPadding'                 => '',
		'btnHPadding'                 => '',
		'ctaBottomSpace'              => '0',
		'ctaBottomSpaceTablet'        => '',
		'ctaBottomSpaceMobile'        => '',
		'imageBottomSpace'            => '15',
		'imageBottomSpaceTablet'      => '',
		'imageBottomSpaceMobile'      => '',
		'titleBottomSpace'            => '15',
		'titleBottomSpaceTablet'      => '',
		'titleBottomSpaceMobile'      => '',
		'metaBottomSpace'             => '15',
		'metaBottomSpaceTablet'       => '',
		'metaBottomSpaceMobile'       => '',
		'excerptBottomSpace'          => '25',
		'excerptBottomSpaceTablet'    => '',
		'excerptBottomSpaceMobile'    => '',
		'overlayOpacity'              => '50',
		'bgOverlayColor'              => '#000000',
		'ctaText'                     => __( 'Read More', 'ultimate-addons-for-gutenberg' ),
		'borderHColor'                => '',
		'postPagination'              => '',
		'pageLimit'                   => 10,
		'paginationBgActiveColor'     => '#e4e4e4',
		'paginationActiveColor'       => '#333333',
		'paginationBgColor'           => '#e4e4e4',
		'paginationColor'             => '#777777',
		'paginationMarkup'            => '',
		'paginationLayout'            => 'filled',
		'paginationBorderActiveColor' => '',
		'paginationBorderColor'       => '#333',
		'paginationBorderRadius'      => '',
		'paginationBorderSize'        => 1,
		'paginationSpacing'           => 20,
		'paginationAlignment'         => 'left',
		'paginationNextText'          => '« Previous',
		'paginationPrevText'          => 'Next »',
		'imgPosition'                 => 'top',

		'rowGapUnit'                  => 'px',
		'columnGapUnit'               => 'px',
		'contentPaddingUnit'          => 'px',
		'excerptBottomSpaceUnit'      => 'px',

		'displayPostContentRadio'     => 'excerpt',
		'paginationSpacingUnit'       => 'px',
		'imageBottomSpaceUnit'        => 'px',
		'titleBottomSpaceUnit'        => 'px',
		'metaBottomSpaceUnit'         => 'px',
		'ctaBottomSpaceUnit'          => 'px',
		'titleTransform'              => '',
		'metaTransform'               => '',
		'excerptTransform'            => '',
		'ctaTransform'                => '',
		'titleDecoration'             => '',
		'metaDecoration'              => '',
		'excerptDecoration'           => '',
		'ctaDecoration'               => '',
		'paddingBtnTopTablet'         => '',
		'paddingBtnRightTablet'       => '',
		'paddingBtnBottomTablet'      => '',
		'paddingBtnLeftTablet'        => '',
		'paddingBtnTopMobile'         => '',
		'paddingBtnRightMobile'       => '',
		'paddingBtnBottomMobile'      => '',
		'paddingBtnLeftMobile'        => '',
		'paddingBtnUnit'              => 'px',
		'mobilePaddingBtnUnit'        => 'px',
		'tabletPaddingBtnUnit'        => 'px',
		'spacingLink'                 => '',
		'spacingLinkPadding'          => '',
		'paddingTopTablet'            => '',
		'paddingRightTablet'          => '',
		'paddingBottomTablet'         => '',
		'paddingLeftTablet'           => '',
		'paddingUnit'                 => 'px',
		'mobilePaddingUnit'           => 'px',
		'tabletPaddingUnit'           => 'px',
		'layoutConfig'                => array(
			array( 'uagb/post-image' ),
			array( 'uagb/post-title' ),
			array( 'uagb/post-meta' ),
			array( 'uagb/post-taxonomy' ),
			array( 'uagb/post-excerpt' ),
			array( 'uagb/post-button' ),
		),
		'titleLetterSpacing'          => '',
		'titleLetterSpacingTablet'    => '',
		'titleLetterSpacingMobile'    => '',
		'titleLetterSpacingType'      => 'px',
		'metaLetterSpacing'           => '',
		'metaLetterSpacingTablet'     => '',
		'metaLetterSpacingMobile'     => '',
		'metaLetterSpacingType'       => 'px',
		'excerptLetterSpacing'        => '',
		'excerptLetterSpacingTablet'  => '',
		'excerptLetterSpacingMobile'  => '',
		'excerptLetterSpacingType'    => 'px',
		'ctaLetterSpacing'            => '',
		'ctaLetterSpacingTablet'      => '',
		'ctaLetterSpacingMobile'      => '',
		'ctaLetterSpacingType'        => 'px',
		'useSeparateBoxShadows'       => true,
		'boxShadowColor'              => '#00000070',
		'boxShadowHOffset'            => 0,
		'boxShadowVOffset'            => 0,
		'boxShadowBlur'               => '',
		'boxShadowSpread'             => '',
		'boxShadowPosition'           => 'outset',
		'boxShadowColorHover'         => '',
		'boxShadowHOffsetHover'       => 0,
		'boxShadowVOffsetHover'       => 0,
		'boxShadowBlurHover'          => '',
		'boxShadowSpreadHover'        => '',
		'boxShadowPositionHover'      => 'outset',
		'columns'                     => 3,
		'tcolumns'                    => 2,
		'mcolumns'                    => 1,
		'imgEqualheight'              => false,
		'paddingTop'                  => 20,
		'paddingBottom'               => 20,
		'paddingRight'                => 20,
		'paddingLeft'                 => 20,
		'inheritFromThemeBtn'         => $inherit_from_theme,
		'isLeftToRightLayout'         => false,
		'wrapperTopPadding'           => '',
		'wrapperRightPadding'         => 20,
		'wrapperLeftPadding'          => 20,
		'wrapperBottomPadding'        => '',
		'wrapperTopPaddingTablet'     => '',
		'wrapperRightPaddingTablet'   => '',
		'wrapperLeftPaddingTablet'    => '',
		'wrapperBottomPaddingTablet'  => '',
		'wrapperTopPaddingMobile'     => '',
		'wrapperRightPaddingMobile'   => '',
		'wrapperLeftPaddingMobile'    => '',
		'wrapperBottomPaddingMobile'  => '',
		'wrapperPaddingUnit'          => 'px',
		'wrapperPaddingUnitTablet'    => 'px',
		'wrapperPaddingUnitMobile'    => 'px',
		'wrapperPaddingLink'          => false,
		// Wrapper Alignment.
		'wrapperAlign'                => 'row',
		'wrapperAlignPosition'        => 'center',
	),
	$btn_border_attribute,
	$overall_border_attribute
);
